import React from 'react';
import PropTypes from 'prop-types';
import Button from '@s-ui/react-atom-button';
import AtomIcon, { ATOM_ICON_SIZES } from '@s-ui/react-atom-icon';
import { BASE_CLASS_NAME } from './config';
var ALTERNATIVE_ACTION_TEXT = '- o -';
var BUTTON_COLOR = 'primary';
var BUTTON_SIZE = 'small';

var InitialState = function InitialState(_ref) {
  var buttonText = _ref.buttonText,
      _ref$buttonSize = _ref.buttonSize,
      buttonSize = _ref$buttonSize === void 0 ? BUTTON_SIZE : _ref$buttonSize,
      icon = _ref.icon,
      text = _ref.text,
      _ref$dividerText = _ref.dividerText,
      dividerText = _ref$dividerText === void 0 ? ALTERNATIVE_ACTION_TEXT : _ref$dividerText;
  return React.createElement("div", {
    className: BASE_CLASS_NAME + "-initialState"
  }, React.createElement("div", {
    className: BASE_CLASS_NAME + "-iconInitialState"
  }, React.createElement(AtomIcon, {
    size: ATOM_ICON_SIZES.extraLarge
  }, icon)), React.createElement("div", {
    className: BASE_CLASS_NAME + "-textState"
  }, React.createElement("span", {
    className: BASE_CLASS_NAME + "-textStateText"
  }, text), React.createElement("span", {
    className: BASE_CLASS_NAME + "-textStateDivider"
  }, dividerText)), React.createElement("div", {
    className: BASE_CLASS_NAME + "-buttonState"
  }, React.createElement(Button, {
    color: BUTTON_COLOR,
    size: buttonSize
  }, buttonText)));
};

InitialState.displayName = 'InitialState';
export default InitialState;